<?php
/**
 * Order details Summary
 *
 * This template displays a summary of partial payments
 *
 * @package woocommerce-deposits/Templates
 * @version 2.5.0
 */

if (!defined('ABSPATH')) {
    exit;
}

if (!$order = wc_get_order($order_id)) {
    return;
}



?> <p> <?php _e('Partial payments summary', 'woocommerce-deposits') ?>

<table class="woocommerce-table  woocommerce_deposits_parent_order_summary">

    <thead>
    <tr>

        <th ><?php esc_html_e('Payment', 'woocommerce-deposits'); ?> </th>
        <th ><?php esc_html_e('Payment ID', 'woocommerce-deposits'); ?> </th>
        <th><?php esc_html_e('Status', 'woocommerce-deposits'); ?> </th>
        <th><?php esc_html_e('Amount', 'woocommerce-deposits'); ?> </th>

    </tr>

    </thead>

    <tbody>
    <?php foreach($schedule as $timestamp => $payment){

        if(!is_numeric($timestamp)){

            if($timestamp === 'unlimited'){
                $date = __('Second Payment', 'woocommerce-deposits');
            } elseif($timestamp === 'deposit'){
                $date = __('Deposit', 'woocommerce-deposits');
            } else {
                $date = $timestamp;

            }

        } else {
            $date =  date('Y-M-d',$timestamp);
        }

        $payment_order = false;
        if(isset($payment['id']) && !empty($payment['id'])) $payment_order = wc_get_order($payment['id']);

        if(!$payment_order) continue;
//            $gateway = $payment_order ? $payment_order->get_payment_method_title() : '-';
        $payment_id = $payment_order ? $payment_order->get_id(): '-';
        $status = $payment_order ? $payment_order->get_status() : '-';
        $amount = $payment_order ? $payment_order->get_total() : $payment['total'];

        ?>
        <tr class="order_item">
            <td >
                <?php echo $date; ?>
            </td>
            <td>
                <?php echo $payment_id; ?>
            </td>
            <td >
                <?php echo $status; ?>

            </td>
            <td >
                <?php echo wc_price($amount); ?>
            </td>
        </tr>
        <?php
    } ?>

    </tbody>

    <tfoot>


    </tfoot>
</table>
